Index: /extensions/piclens/language/it_IT/index.php
===================================================================
--- /extensions/piclens/language/it_IT/index.php	(revision 3678)
+++ /extensions/piclens/language/it_IT/index.php	(revision 3678)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piclens/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/piclens/language/it_IT/plugin.lang.php	(revision 3678)
+++ /extensions/piclens/language/it_IT/plugin.lang.php	(revision 3678)
@@ -0,0 +1,212 @@
+<?php
+/*
+ * Plugin Name: CoolIris-Piclens
+ * File :  plugin.lang.php
+* Lang : IT
+ */
+
+// Piclenslite button
+$lang['piclens_button']	 				= 'Visualizzare un diaporama semplice';
+
+
+// Admin page
+$lang['piclens_config_tab']	 			= 'Configurazione';
+$lang['piclens_rssfeed_tab'] 			= 'Flussi RSS';
+$lang['piclens_3dwallconfig_tab'] 		= 'Configurazione Cooliris 3DWall';
+
+// 
+$lang['piclens_admin_title'] 			= 'Configurazione del PlugIn Cooliris/Piclens';
+$lang['piclens_admin_submit']			= 'Registrare';
+$lang['piclens_admin_saveOK'] 			= 'Configurazione Cooliris-Piclens registrata';
+$lang['piclens_admin_saveERR1']			= 'File crossdomain.xml assente';
+$lang['piclens_admin_saveERR2']			= 'Errore di copia del file';
+$lang['piclens_admin_saveERR3']			= 'File crossdomain.xml esiste già';
+$lang['piclens_admin_saveOK2']			= 'File crossdomain.xml correttamente copiato alla radice del sito';
+$lang['piclens_admin_saveERR4']			= '3D Wall disattivato a causa di PWG Stuff che è installato';
+
+$lang['piclens_admin_restoreOK']		= 'Parametri del file di configurazione (%s) recuperati e registrati nella base';
+$lang['piclens_admin_restoreKO']		= 'File di configurazione (%s) assente';
+$lang['piclens_admin_savefileOK']		= 'Parametri registrati nel file di configurazione (%s)';
+$lang['piclens_admin_savefileWN']		= 'Il file di configurazione (%s) esistente è stato sovrascritto';
+$lang['piclens_admin_restore']			= 'Restaurare i parametri dal file';
+$lang['piclens_admin_savefile']			= 'Registrare i parametri nel file';
+
+$lang['piclens_cfg_title'] 				= 'Piclens : Configurazione';
+$lang['piclens_cfg_piclens_actived']	= 'Attivazione del plugin Cooliris/Piclens';
+$lang['piclens_cfg_recursiv_actived']	= 'Attivazione della recorsività sulle sottocategorie';
+$lang['piclens_cfg_root_actived']		= 'Attivazione di Piclens su tutta la galeria (sulla pagina principale)';
+$lang['piclens_cfg_lite_actived']		= 'Attivazione di PiclensLite (versione Piclens senza plugins navigatore)';
+
+$lang['piclens_cfg_otherplugins_title']	= 'Compatibilità con gli altri plugins installati';
+$lang['piclens_cfg_plugins_actived']	= 'Attivazione della compatibilità con il Plugin <b><u><i>%s</i></u></b>';
+$lang['piclens_label_plugins']			= 'Plugin <b><u><i>%s</i></u> Installato </b>ed <b>attivato</b>';
+$lang['piclens_secureimage_detail']		= 'Utilizzo del metodo getFile del plugin SecureImage per scaricare le immagini (miniature, normali e high).';
+$lang['piclens_extendeddesc_detail']	= 'Presa in conto dei tag di lingua [lang] per la descrizione delle immagini e del tag < !--hidden-- > per le immagini e le categorie da nascondere.';
+
+$lang['piclens_cfg_specials_actived']	= 'Attivazione di Piclens sulle pagine "speciali"';					############
+$lang['piclens_recentpics_label'] 		= 'Immagini recenti';					############
+$lang['piclens_recentcats_label'] 		= 'Categorie recenti';
+$lang['piclens_mostvisited_label'] 		= 'Le più viste';
+$lang['piclens_bestrated_label'] 		= 'Le meglio notate';
+$lang['piclens_favorites_label'] 		= 'Le mie favorite';
+
+$lang['piclens_label_withoutrecursive']	= 'Senza Recorsività';
+$lang['piclens_label_withrecursive']	= 'Con  Recorsività';
+
+$lang['piclens_recurs_mode_title']		= 'Piclens : Modi di recorsività;';
+$lang['piclens_recurs_mode_label']		= 'Tipo di recorsività parametrata : ';
+$lang['piclens_recursive_standard']		= 'Standard';
+$lang['piclens_recursive_standard_title']= 'Modo Standard ';
+$lang['piclens_recursive_standard_detail']= 'Pagina Principale <br> \-Categoria A <br> \ \-Sottocategoria AA <br> \ \ \-immagini_AAxx <br> \ \ <br> \ \-Sottocategoria AB <br> \ \ \-immagini_ABxx <br> \ <br> \-Categoria B <br> \-Sottocategoria BA <br> \ \-immagini_BAxx <br> \ <br> \-Sottocategoria BB <br> \-immagini_BBxx <br> <br>-Sulla pagina principale, 1 flusso contenente tutte le immagini delle categorie A e B e delle loro sottocategorie (flusso Home) <br>-Su ogni categoria (ex. A), 1 flusso contenente tutte le immagini della categoria e delle sottocategorie (ex. A e AA e AB)<br>';
+$lang['piclens_recursive_specifique']	= 'Secifica';
+$lang['piclens_recursive_specifique_title']= 'Modo Specifico ';
+$lang['piclens_recursive_specifique_detail']= 'Pagina Principale <br> \-Categoria A <br> \ \-Sottocategoria AA <br> \ \ \-immagini_AAxx <br> \ \ <br> \ \-Sottocategoria AB <br> \ \ \-immagini_ABxx <br> \ <br> \-Categoria B <br> \-Sottocategoria BA <br> \ \-immagini_BAxx <br> \ <br> \-Sottocategoria BB <br> \-immagini_BBxx <br> <br>-Sulla pagina principale, 1 flusso contenente tutte le immagini delle respettive sottocategorie (ex. flusso A e flusso B) <br>-Su ogni categoria (ex. A), 1 flusso per la categoria contenente tutte le immagini della categoria (ex. flusso A) e 1 flusso per sottocategoria contenente tutte le immagini della sottocategoria (ex. flusso AA e flusso AB)<br>';
+
+$lang['piclens_recurs_mode_rem']		= '<i>Qualsiasi il metodo scelto, il muro 3D "Cooliris 3D Wall"(segnalibbro 3) funziona in <b>modo Standard</b></i>';
+
+$lang['piclens_rsscfg_title'] 			= 'Piclens : Parametraggio del flusso RSS';
+$lang['piclens_rsscfg_exttitle']		= 'Estensione visualizzate';
+$lang['piclens_rsscfg_ext']				= 'Uso delle estensioni (di base) seguenti : ';
+$lang['piclens_rsscfg_ext1']			= '(Nessuna selezione => tutte le estensioni prese in conto nel flusso RSS)';
+$lang['piclens_rsscfg_ext2']			= 'Nota : !NULL! corrisponde alle entrate senza miniature/thumbnails (certi file video [.flv per esempio])';
+
+$lang['piclens_rsscfg_TNtype']			= 'Tipo d\'immagine utilizzata per le miniature Piclens';
+$lang['piclens_rsscfg_IMGtype']			= 'Tipo d\'immagine utilizzata per la visualizzazione Piclens';
+$lang['piclens_rsscfg_order']			= 'Ordine di visualizzazione delle foto di Piclens';
+$lang['piclens_rsscfg_order1']			= 'Ordine in Piclens';
+$lang['piclens_rsscfg_name'] 			= 'Nome delle immagini in Piclens';
+$lang['piclens_rsscfg_namecat']			= 'Visualizzazione del nome della categoria';
+$lang['piclens_rsscfg_desc'] 			= 'Descrizione delle immagini in Piclens';
+$lang['piclens_rsscfg_video'] 			= 'Attivazione delle video nell\'interfacia Piclens/Cooliris';
+
+$lang['piclens_label_orderPiwigo'] 		= 'Defaut Piwigo';
+$lang['piclens_label_orderCreDate'] 	= 'Data di Creazione';
+$lang['piclens_label_orderAddDate'] 	= 'Data d\'inserimento';
+$lang['piclens_label_orderAverage']     = 'Nota media';
+$lang['piclens_label_orderBest'] 		= 'Le più viste';
+$lang['piclens_label_orderName']		= 'Nome del file';
+$lang['piclens_label_orderID'] 			= 'Id';
+$lang['piclens_label_orderRand'] 		= 'Alleatorie';
+$lang['piclens_label_orderCat'] 		= 'Categorie';
+$lang['piclens_label_orderRank'] 		= 'Rang';
+
+$lang['piclens_label_sortHome'] 		= 'Piclens sulla pagina principale';
+$lang['piclens_label_sortCat'] 			= 'Piclens sulle categorie';
+
+$lang['piclens_label_sortPiwigo']		= $lang['piclens_label_orderPiwigo'];
+$lang['piclens_label_sortUp']			= 'Cescente';
+$lang['piclens_label_sortDown']			= 'Decrescente';
+
+$lang['piclens_label_TypeTN']			= 'Miniatura';
+$lang['piclens_label_TypeNorm']			= 'Normale';
+$lang['piclens_label_TypeHigh']			= 'Alta Definizione';
+
+$lang['piclens_label_Name1']			= 'Nome miniatura : dimensione';
+$lang['piclens_label_Name2']			= 'Nome miniatura';
+$lang['piclens_label_Name3']			= 'Nome del\'immagine';
+$lang['piclens_label_Name4']			= 'Niente';
+
+$lang['piclens_label_Desc1']			= $lang['piclens_label_Name4'];
+$lang['piclens_label_Desc2']			= $lang['piclens_label_Name3'];
+$lang['piclens_label_Desc3']			= 'Descrizione del\'immagine';
+
+
+$lang['piclens_wallcfg_title'] 			= 'Piclens : Configurazione di Cooliris 3D Wall';
+$lang['piclens_wallcfg_navoption_title']= 'Navigazione con Cooliris 3D Wall';
+$lang['piclens_wallcfg_actived']		= 'Attivazione del muro 3D Cooliris ';
+$lang['piclens_wallcfg_name']			= 'Titolo del muro 3D Cooliris :';
+$lang['piclens_wallcfg_info']			= '<b>Importante per che il muro 3D fonczioni :</b> È necessario di copiare il file';
+$lang['piclens_wallcfg_info_suite']		= 'Alla radice del sito (o modificare il file esistent)';
+$lang['piclens_wallcfg_color']			= 'Couleuro di fondo per il muro 3D Cooliris :';
+$lang['piclens_wallcfg_colorB']			= 'Nero';
+$lang['piclens_wallcfg_colorW']			= 'Bianco';
+$lang['piclens_wallcfg_heigh']			= 'Altezza del muro 3D Cooliris :';
+$lang['piclens_wallcfg_disp']			= 'Celta di visualizzazione del mur 3D Cooliris :';
+$lang['piclens_wallcfg_disp_opt1']		= 'sulla pagina principale';
+$lang['piclens_wallcfg_disp_opt2']		= 'sulle catgorie';
+$lang['piclens_wallcfg_option']			= 'Optioni di visualizzazione del muro 3D Cooliris :';
+$lang['piclens_wallcfg_option-opt1']	= 'Visualizzazione del link "Embed"';
+$lang['piclens_wallcfg_option-opt2']	= 'Visualizzazione del link "FullScreen"';
+$lang['piclens_wallcfg_option-opt3']	= 'Visualizzazione del link "Ricerca"';
+$lang['piclens_wallcfg_transparent']	= 'Modo "Transparente" per il muro. <i>Necessario per certi temi horizontali</i>';
+$lang['piclens_wallcfg_param']			= 'Parametri per il muro 3D Cooliris :';
+$lang['piclens_wallcfg_paramNORM']		= 'Standard, tutte le categorie prese in conto (idem parametri Piclens)';
+$lang['piclens_wallcfg_paramSPEC']		= 'Specifico (configurazione delle categorie qui sotto)';
+$lang['piclens_wallcfg_cat_nav']		= 'Rimpiazamento della navigazione delle miniature nelle categorie dal mur 3D';
+$lang['piclens_wallcfg_cat_nav1']		= 'Categorie per lesquali il muro 3D rimpiazza la navigazione :';
+
+$lang['piclens_wallcfg_swflocal'] 		= '[Opzionale] Utilizzo del file flash (swf) locale per il muro 3D al posto del sito Cooliris <b>[In questo caso, non cè bisogno del file crossdomain.xml]</b>';
+
+$lang['piclens_wallcfg_nbligne']        = 'Numero di righe del muro visualizzate ';
+
+$lang['piclens_wallcfg_cat']			= 'Categorie prese in conto del muro 3D Cooliris (se parametrate \'in un modo specifico\') :';
+
+$lang['piclens_wallcfg_spec_nav']		= 'Rimpiazzo della navigazione delle pagine speciali con il muro 3D';
+
+
+$lang['piclens_label_crossdomain1']		= '<i>Il file <u>crossdomain.xml</u> esiste già alla radice del sito, se necessario, modificatelo manualmente.</i>';
+$lang['piclens_label_crossdomain2']		= 'Copiare il file crossdomain.xml alla radice del sito.';
+
+$lang['piclens_label_pwgstuff1']		= '<u>Nota :</u> <b>Opzione non disponibile PWG_Stuff è installato (attivare/disattivare l\'opzione in PWG_Stuff). Certi parametri possono essere modificati qui.</b>';
+$lang['piclens_label_pwgstuff2']		= '<u>Nota :</u> Installate piuttosto <a href=http://fr.piwigo.org/ext/extension_view.php?eid=190>PWG_Stuff</a> per aggiungere il blocco Piclens 3DWall (visualizzazione parametrabile in PWG_Stuff).';
+
+$lang['piclens_stuff_notparam']			= '<b>Parametri specifici al plugin Cooliris-piclens e non usati da PWG-Stuff</b>';
+$lang['piclens_stuff_param_commun']		= '<b>Parametri che possono essere comuni ai plugins Cooliris-piclens e PWG-Stuff</b>';
+
+$lang['piclens_3dwallconfig2_tab'] 		= 'Configurazione avanzata 3DWall';
+$lang['piclens_wallcfgadv_title']       = 'Piclens : Configurazione avanzata di Cooliris 3D Wall';
+$lang['piclens_wallcfg_colorD']         = 'Dark';
+$lang['piclens_wallcfg_colorL']         = 'Light';
+$lang['piclens_wallcfg_showChrome']     = 'Visualizzazione della barra "chrome" sotto al muro';
+$lang['piclens_wallcfg_showDescription']    = 'Visualizzazione delle descrizioni delle immagini';
+$lang['piclens_wallcfg_showReflections']    = 'Visualizzazione del riflesso delle immagini';
+$lang['piclens_wallcfg_showTutorial']   = 'Visualizzazione del aiuto al avvio del muro';
+$lang['piclens_wallcfg_showNavArrows']  = 'Visualizzazione delle frecce laterali';
+$lang['piclens_wallcfg_backgroundAlpha']    = 'Transparenza dello sfondo [0.0-1.0]';
+$lang['piclens_wallcfg_descriptionHeight']  = 'Dimensioni della zona di descrizione [0-100]';
+$lang['piclens_wallcfg_tilt']			= 'Inclinamento del muro [0-5]';
+$lang['piclens_wallcfg_backgroundColor']	= 'Colore dello sfondo';
+$lang['piclens_wallcfg_glowColor']		= 'Colore dello sfondo del\'immagine selezionata';
+$lang['piclens_wallcfg_backgroundImage']    = 'URL del\'immagine dello sfondo';
+$lang['piclens_wallcfg_tutorial']		= 'URL del\'immagine del tutoriale iniziale';
+$lang['piclens_wallcfg_tutorialtime']   = 'Tempo di visualizzazione del tutoriale';
+$lang['piclens_wallcfg_customButtonURL']    = 'URL di un\'icona giù a destra del muro';
+$lang['piclens_wallcfg_customButtonTARGET'] = 'Link di un\'icona giù a desrea del muro';
+$lang['piclens_wallcfg_icons']		= 'Directory contenente i PNG per le icone personalizzate';
+$lang['piclens_wallcfg_linkCSS']	= 'Style css da applicare alle descrizioni';
+
+
+$lang['piclens_xml_config']	= 'Configurazione di nomi e delle descrizioni';
+$lang['piclens_xml_legend']	= 'Tipi utilizzabili per i parametri seguenti';
+
+//legende
+$lang['piclens_picture_legend']	    = 'Immagine';
+$lang['piclens_cat_legend']		    = 'Categorie';
+$lang['piclens_global_legend']		= 'Globale';
+$lang['img_id_legend']				= 'ID del\'immagine';	// %I1
+$lang['img_name_legend']			= 'Nome del\'immagine';	// %I2
+$lang['img_description_legend']		= 'Descrizione del\'immagine'; // %I3
+$lang['img_author_legend']			= 'Autore del\'immagine';	// %I4
+$lang['img_URLThumb_legend']		= 'URL della miniatura (path non completo)'; // %I5
+$lang['img_URLNormal_legend']		= 'URL del\'immagine (path non completo)';	// %I6
+$lang['img_URLHigh_legend']			= 'URL del\'immagine in alta definizione (path non completo)';	// %I7
+$lang['img_URLPicturephp_legend']	= 'Link verso l\'immagine sotto PIWIGO (picture.php)';	//%I8
+$lang['img_URLThumbFull_legend']	= 'URL della miniatura (path completo)'; // %I9
+$lang['img_URLNormalFull_legend']	= 'URL del\'immagine (path completo)';	// %IA
+$lang['img_URLHighFull_legend']		= 'URL del\'immagine in alta definizione (path completo)';	// %IB
+$lang['img_filename_legend']		= 'Nome del file immagine'; // %IC
+$lang['img_comment_legend']			= 'Ultimi commenti'; // %ID
+
+$lang['root_path_legend']			= 'Path di PIWIGO'; // %G1
+
+$lang['cat_id_legend']				= 'ID della categoria'; // %C1
+$lang['cat_name_legend']			= 'Nome della categoria'; // %C2
+$lang['cat_description_legend']		= 'Descrizione della categoria'; // %C3
+$lang['cat_dir_legend']				= 'Directory della categoria (path non completo)'; // %C4
+$lang['cat_dirFull_legend']			= 'Directory della categoria (path completo)'; // %C5
+// Fin legende
+
+$lang['piclens_tags_label']		= 'Tags';
+$lang['piclens_rsscfg_exclude_double']	= 'Soppressione delle doppie immagini nel flusso (stessa directory d\'accesso)';
+$lang['piclens_rss_icon']		= 'URL dell\'icona del flusso in Cooliris';
+?>