Index: extensions/mypolls/main.inc.php
===================================================================
--- extensions/mypolls/main.inc.php	(revision 3397)
+++ extensions/mypolls/main.inc.php	(revision 3680)
@@ -2,6 +2,6 @@
 /*
 Plugin Name: MyPolls.2
-Version: 2.1.0
-Description: Plugin pour faire des sondages sur sa gallerie / Plugin to carry out surveys on its gallery 
+Version: 2.1.0 alpha-2
+Description: Plugin pour faire des sondages sur sa gallerie / Plugin to carry out surveys on its gallery
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=181
 Author: grum@piwigo.org
@@ -30,5 +30,5 @@
   2.0.2       - 02/01/08  - correction template (ajax) pour être compatible avec IE7.0
                           - remplacement des "&" dans les URL par des "&amp;" pour être aux normes
-  2.0.3       - 06/01/08  - correction insertions avec MySQL 5  
+  2.0.3       - 06/01/08  - correction insertions avec MySQL 5
   2.0.4       - 06/01/08  - correction insertions&maj
                           - correction pb sur affichage de mypolls_action_ok
@@ -42,4 +42,5 @@
                           + PHP5 classe
                           + install process can import database file (.sql) if present
+                          + compatibilty with AMM 2.1.0 for ajax functions (alpha-2)
 
 :: TO DO
@@ -66,5 +67,5 @@
 define('MYPOLLS_PATH' , PHPWG_PLUGINS_PATH . MYPOLLS_DIR . '/');
 
-define('MYPOLLS_VERSION' , '2.1.0'); // => ne pas oublier la version dans l'entête !!
+define('MYPOLLS_VERSION' , '2.1.0 Alpha-2'); // => ne pas oublier la version dans l'entête !!
 
 global $prefixeTable;
Index: extensions/mypolls/maintain.inc.php
===================================================================
--- extensions/mypolls/maintain.inc.php	(revision 3397)
+++ extensions/mypolls/maintain.inc.php	(revision 3680)
@@ -29,6 +29,6 @@
 {
   @include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes-2/main.inc.php');
-  // need GPC release greater or equal than 2.0.1
-  if(checkGPCRelease(2,0,1))
+  // need GPC release greater or equal than 2.0.3
+  if(checkGPCRelease(2,0,3))
   {
     @include_once('mypolls_install.class.inc.php');
@@ -39,5 +39,5 @@
 function gpcMsgError(&$errors)
 {
-  array_push($errors, sprintf(l10n('mypolls_gpc2_not_installed'), "2.0.1"));
+  array_push($errors, sprintf(l10n('mypolls_gpc2_not_installed'), "2.0.3"));
 }
 // -----------------------------------------------------------------------------
@@ -49,5 +49,5 @@
 
 
-function plugin_install($plugin_id, $plugin_version, &$errors) 
+function plugin_install($plugin_id, $plugin_version, &$errors)
 {
   global $prefixeTable, $gpc_installed;
Index: extensions/mypolls/mypolls_pip.class.inc.php
===================================================================
--- extensions/mypolls/mypolls_pip.class.inc.php	(revision 3397)
+++ extensions/mypolls/mypolls_pip.class.inc.php	(revision 3680)
@@ -211,5 +211,4 @@
       if((isset($_POST['submit_results']))&&(!$this->get_user_already_vote($poll_id, $user['user_id'], $_SERVER['REMOTE_ADDR'])))
       {
-
         if(!isset($_REQUEST['fmypolls_comment']))
         { $_REQUEST['fmypolls_comment']=''; }
@@ -467,16 +466,17 @@
     if(isset($_REQUEST['ajaxfct']))
     {
-      $poll_id=$this->extract_poll_id_from_uri();
-      //$user['language'] = $_REQUEST['lang'];
-      switch($_REQUEST['ajaxfct'])
-      {
-        case 'poll_question_blocks':
-          $result=$this->ajax_poll_question_blocks($poll_id, $_REQUEST['question'], $_REQUEST['lang']);
-          break;
-        case 'poll_comment_list':
-          $result=$this->ajax_poll_comment_list($poll_id, $_REQUEST['vpage']);
-          break;
-      }
-      $this->ajax->return_result($result);
+      if($_REQUEST['ajaxfct'] == 'poll_question_blocks' || $_REQUEST['ajaxfct'] == 'poll_comment_list')
+      {
+        switch($_REQUEST['ajaxfct'])
+        {
+          case 'poll_question_blocks':
+            $result=$this->ajax_poll_question_blocks($this->extract_poll_id_from_uri(), $_REQUEST['question'], $_REQUEST['lang']);
+            break;
+          case 'poll_comment_list':
+            $result=$this->ajax_poll_comment_list($this->extract_poll_id_from_uri(), $_REQUEST['vpage']);
+            break;
+        }
+        $this->ajax->return_result($result);
+      }
     }
   }