Index: extensions/Random_Header/admin/index.php
===================================================================
--- extensions/Random_Header/admin/index.php	(revision 3684)
+++ extensions/Random_Header/admin/index.php	(revision 3684)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Random_Header/admin/rh_admin.php
===================================================================
--- extensions/Random_Header/admin/rh_admin.php	(revision 3684)
+++ extensions/Random_Header/admin/rh_admin.php	(revision 3684)
@@ -0,0 +1,44 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+$me = get_plugin_data($plugin_id);
+global $template;
+
+$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/rh_admin.tpl') );
+$template->assign( 'RH_VERSION' , RH_VERSION );
+
+foreach (get_pwg_themes() as $pwg_template) {
+	if (isset($_POST['submit'])) {
+		$me->rh_config[$pwg_template]['selected_cat'] 		= $_POST[$pwg_template.'selected_cat'];
+		$me->rh_config[$pwg_template]['active_on_picture'] 	= (isset( $_POST[$pwg_template.'active_on_picture'] )) ? $_POST[$pwg_template.'active_on_picture'] : 'off' ; 
+		$me->rh_config[$pwg_template]['concat_before'] 		= (isset( $_POST[$pwg_template.'concat_before'] )) ? $_POST[$pwg_template.'concat_before'] : 'off' ; 
+		$me->rh_config[$pwg_template]['concat_after'] 		= (isset( $_POST[$pwg_template.'concat_after'] )) ? $_POST[$pwg_template.'concat_after'] : 'off' ; 
+		$me->rh_config[$pwg_template]['head_css'] 			= $_POST[$pwg_template.'head_css']; 
+		$me->rh_config[$pwg_template]['img_css'] 			= $_POST[$pwg_template.'img_css']; 
+		$me->rh_config[$pwg_template]['mode_background'] 	= (isset( $_POST[$pwg_template.'mode_background'] )) ? $_POST[$pwg_template.'mode_background'] : 'off' ;
+		$me->save_config();
+	}
+	
+	$template->append('themes', array(
+				'CURRENT_THEME' 	=> $pwg_template,
+				'ACTIVE_ON_PICTURE' => ($me->rh_config[$pwg_template]['active_on_picture']=='on') ? 'checked' : '',
+				'MODE_BACKGROUND' 	=> ($me->rh_config[$pwg_template]['mode_background']=='on') ? 'checked' : '',
+				'CONCAT_BEFORE' 	=> ($me->rh_config[$pwg_template]['concat_before']=='on') ? 'checked' : '',
+				'CONCAT_AFTER' 		=> ($me->rh_config[$pwg_template]['concat_after']=='on') ? 'checked' : '',
+				'HEAD_CSS' 			=>  $me->rh_config[$pwg_template]['head_css'],
+				'IMG_CSS' 			=>  $me->rh_config[$pwg_template]['img_css'],
+				'CATSELECTED' 		=>  $me->rh_config[$pwg_template]['selected_cat']
+				));
+
+	
+	
+}
+display_select_cat_wrapper(
+	  'SELECT id,name,uppercats,global_rank FROM '.CATEGORIES_TABLE,
+	  array(),
+	  'categories'
+	  );
+load_language('plugin.lang', RH_PATH);
+
+$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
+?>
Index: extensions/Random_Header/admin/rh_admin.tpl
===================================================================
--- extensions/Random_Header/admin/rh_admin.tpl	(revision 3684)
+++ extensions/Random_Header/admin/rh_admin.tpl	(revision 3684)
@@ -0,0 +1,59 @@
+<div class="titrePage"><h2>Random Header<br />{$RH_VERSION}</h2></div>
+<p>{'rh_description'|@translate}</p>
+<p><i>{'rh_aide'|@translate}</i></p>
+<form method="post" action="" class="properties">
+<style>
+.randomHeader_fieldset legend{ldelim}color:#ff3363;font-weight:bold;}
+.randomHeader_fieldset{ldelim}
+	width:345px;
+	overflow-x:auto;
+	float:left;
+	padding: 5px;
+	margin: 3px;
+}#ff3363
+.rh_input{ldelim}
+	width:335px;
+}
+</style>
+{foreach from=$themes item=i}
+    <fieldset class="randomHeader_fieldset">
+			
+			<legend>{'rh_theme'|@translate} : {$i.CURRENT_THEME}</legend>
+			
+			<p>
+			<label>
+		      {'rh_headers_category'|@translate}<br />
+		      <select class="categoryDropDown" name="{$i.CURRENT_THEME}selected_cat">
+		        <option value="0">{'rh_inactif'|@translate}</option>
+		        {html_options options=$categories selected=$i.CATSELECTED}
+		      </select>
+		    </label>
+			</p>
+			
+			<p>
+			<input type="checkbox" {$i.MODE_BACKGROUND} name="{$i.CURRENT_THEME}mode_background">
+			<label>{'rh_as_background'|@translate}</label>
+			</p>
+			
+			<p>
+			<input type="checkbox" {$i.ACTIVE_ON_PICTURE} name="{$i.CURRENT_THEME}active_on_picture">
+			<label>{'rh_on_picture'|@translate}</label>
+			</p>
+			
+			<p>
+			<label>{'rh_additional_css'|@translate} :<br /></label>
+			<i>#theHeader :</i><br />
+			<input class="rh_input" type="text" name="{$i.CURRENT_THEME}head_css" value="{$i.HEAD_CSS}"><br />
+			<i>#RandomImage :</i><br /><input class="rh_input"  type="text" name="{$i.CURRENT_THEME}img_css" value="{$i.IMG_CSS}"><br />
+			</p>
+			
+			<p>
+			<label>{'rh_concat'|@translate} :<br /></label>
+			{'rh_before'|@translate} : <input type="checkbox" {$i.CONCAT_BEFORE} name="{$i.CURRENT_THEME}concat_before"> {'rh_after'|@translate} : <input type="checkbox" {$i.CONCAT_AFTER} name="{$i.CURRENT_THEME}concat_after">
+			</p>
+			
+		</fieldset>
+{/foreach}
+<div align="center" style="clear:left"><input class="submit" type="submit" value="{'rh_submit'|@translate}" name="submit" /></div>
+</form>
+
Index: extensions/Random_Header/index.php
===================================================================
--- extensions/Random_Header/index.php	(revision 3684)
+++ extensions/Random_Header/index.php	(revision 3684)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Random_Header/language/en_UK/index.php
===================================================================
--- extensions/Random_Header/language/en_UK/index.php	(revision 3684)
+++ extensions/Random_Header/language/en_UK/index.php	(revision 3684)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Random_Header/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Random_Header/language/en_UK/plugin.lang.php	(revision 3684)
+++ extensions/Random_Header/language/en_UK/plugin.lang.php	(revision 3684)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['rh_description'] 		= 'Random Header allow you to show in the header a random picture from the choosen categorie, as a normal image, or as a background';
+$lang['rh_submit'] 				= 'Save';
+$lang['rh_before'] 				= 'before';
+$lang['rh_after'] 				= 'after';
+$lang['rh_concat'] 				= 'Concatenate the page banner';
+$lang['rh_as_background'] 		= 'Use as background image';
+$lang['rh_on_picture'] 			= 'Enable on picture page';
+$lang['rh_headers_category'] 	= 'Images category for the header';
+$lang['rh_theme'] 				= 'Theme';
+$lang['rh_inactif'] 			= 'Disable for this theme';
+$lang['rh_aide'] 				= 'Info :<br />IMAGES ARE VIEWABLE BY EVERYONE (private category or not)<br />CSS style for the image(#RandomImage) isn\'t applied in background mode<br>CSS text field need to respect CSS rules (ex: "overflow:auto;color:red;")<br />In background mode, concatenate the <a href="admin.php?page=configuration">page banner</a> is disable';
+$lang['rh_additional_css'] 		= 'Additional CSS Style';
+
+?>
Index: extensions/Random_Header/language/fr_FR/index.php
===================================================================
--- extensions/Random_Header/language/fr_FR/index.php	(revision 3684)
+++ extensions/Random_Header/language/fr_FR/index.php	(revision 3684)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Random_Header/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Random_Header/language/fr_FR/plugin.lang.php	(revision 3684)
+++ extensions/Random_Header/language/fr_FR/plugin.lang.php	(revision 3684)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['rh_description'] 		= 'Permet d\'afficher dans l\'en-tête une image au hasard parmi la catégorie que vous aurez choisi, soit en image normale, soit en image de fond';
+$lang['rh_submit'] 				= 'enregistrer';
+$lang['rh_before'] 				= 'avant';
+$lang['rh_after'] 				= 'après';
+$lang['rh_concat'] 				= 'Concatener la bannière des pages';
+$lang['rh_as_background'] 		= 'Utiliser en image de fond';
+$lang['rh_on_picture'] 			= 'Actif sur la page image';
+$lang['rh_headers_category'] 	= 'Catégorie des images pour bannières';
+$lang['rh_theme'] 				= 'Thème';
+$lang['rh_inactif'] 			= 'Désactivé pour ce thème';
+$lang['rh_aide'] 				= 'Note :<br />LES IMAGES SONT VISIBLES POUR TOUS (catégorie privée ou pas)<br />Le style CSS pour l\'image (#RandomImage) n\'est pas appliqué en mode image de fond<br>Les champs CSS doivent respecter les normes CSS (ex: "overflow:auto;color:red;")<br />En mode image de fond, concatener la <a href="admin.php?page=configuration">bannière des pages</a> est inactif';
+$lang['rh_additional_css'] 		= 'Style CSS additionnel';
+
+?>
Index: extensions/Random_Header/language/index.php
===================================================================
--- extensions/Random_Header/language/index.php	(revision 3684)
+++ extensions/Random_Header/language/index.php	(revision 3684)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Random_Header/main.inc.php
===================================================================
--- extensions/Random_Header/main.inc.php	(revision 3684)
+++ extensions/Random_Header/main.inc.php	(revision 3684)
@@ -0,0 +1,91 @@
+<?php
+/*
+Plugin Name: Random Header
+Version: 2.0
+Description: Random Header allow you to show in the header a random picture from the choosen categorie, as a normal image, or as a background
+Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=188
+Author: Repié38
+Author URI: http://www.pierre-b.com
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+DEFINE('RH_VERSION','v2.0');
+define('RH_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
+class RandomHeader
+{
+    var $rh_config;
+    function load_config()
+    {
+        $x = @file_get_contents( dirname(__FILE__).'/data.dat' );
+        if ($x!==false)
+        	$this->rh_config = unserialize($x);
+        
+        	foreach (get_pwg_themes() as $pwg_template) {
+			  if (empty($this->rh_config[$pwg_template]['selected_cat']))  {
+			
+				$this->rh_config[$pwg_template]['selected_cat'] = '0';
+            	$this->rh_config[$pwg_template]['active_on_picture']='off';
+				$this->rh_config[$pwg_template]['head_css']='';
+				$this->rh_config[$pwg_template]['img_css']='';
+				$this->rh_config[$pwg_template]['mode_background']='off';
+				$this->rh_config[$pwg_template]['concat_before'] ='off' ; 
+				$this->rh_config[$pwg_template]['concat_after'] ='off' ; 
+
+            	$this->save_config();
+        	}
+		}
+            
+    }
+    function save_config()
+    {
+        $file = fopen( dirname(__FILE__).'/data.dat', 'w' );
+        fwrite($file, serialize($this->rh_config) );
+        fclose( $file );
+    }
+    function plugin_admin_menu($menu)
+    {
+        array_push($menu,
+            array(
+                'NAME' => 'Random Header',
+                'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/rh_admin.php')
+            ));
+        return $menu;
+    }
+
+	function randombanner(){
+		global $page;
+		global $template;
+		global $conf;
+		global $user;
+		$usertheme=$user['template'].'/'.$user['theme'];
+		if ( !defined('IN_ADMIN') && isset($page['body_id']) && ($page['body_id']!='thePicturePage' || $this->rh_config[$usertheme]['active_on_picture']=='on') ) {
+			
+			$result = pwg_query('SELECT '.IMAGES_TABLE.'.path  FROM '.IMAGES_TABLE.' , '.IMAGE_CATEGORY_TABLE.' WHERE '.IMAGES_TABLE.'.`id` = '.IMAGE_CATEGORY_TABLE.'.`image_id` AND '.IMAGE_CATEGORY_TABLE.'.category_id = ' . $this->rh_config[$usertheme]['selected_cat'] . ' ORDER BY RAND() LIMIT 0,1');
+			if (mysql_num_rows($result) > 0) {
+				$toto = mysql_fetch_row($result);
+							
+				if ($this->rh_config[$usertheme]['mode_background']=='on') {
+					$template->append('head_elements','<style>#theHeader{background: url('.$toto[0].') no-repeat;'. $this->rh_config[$usertheme]['head_css'] .'}</style>');
+				}
+				else {
+					if ($this->rh_config[$usertheme]['img_css']!='' || $this->rh_config[$usertheme]['head_css']!='') 
+						$template->append('head_elements','<style>#theHeader{'. $this->rh_config[$usertheme]['head_css'] .'}#theHeader #RandomImage{'. $this->rh_config[$usertheme]['img_css'] .'}</style>');
+					$page['page_banner'] = ($this->rh_config[$usertheme]['concat_before']=='on') ? $conf['page_banner'] : ''; 
+					$page['page_banner'].= '<img id="RandomImage" src="'.$toto[0].'">';
+					$page['page_banner'].= ($this->rh_config[$usertheme]['concat_after']=='on') ? $conf['page_banner'] : ''; 
+				}
+			}
+		}
+	}
+
+
+}
+$obj = new RandomHeader();
+$obj->load_config();
+
+add_event_handler('loc_begin_page_header', array(&$obj, 'randombanner') );
+add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') );
+set_plugin_data($plugin['id'], $obj)
+
+
+?>