Index: /extensions/PWG_Stuffs/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/en_UK/plugin.lang.php	(revision 3693)
+++ /extensions/PWG_Stuffs/language/en_UK/plugin.lang.php	(revision 3694)
@@ -145,3 +145,12 @@
 $lang['module_desc_Random'] = 'Display x random pictures in the gallery or a category';
 
+//------------------------------------------------------------------------------
+//							Module Citation
+//------------------------------------------------------------------------------
+
+$lang['module_name_Citation'] = 'Random quote';
+$lang['module_desc_Citation'] = 'Display a random quote';
+$lang['module_Citation_lang'] = 'Language';
+$lang['module_Citation_code'] = 'Related code';
+
 ?>
Index: /extensions/PWG_Stuffs/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/fr_FR/plugin.lang.php	(revision 3693)
+++ /extensions/PWG_Stuffs/language/fr_FR/plugin.lang.php	(revision 3694)
@@ -145,3 +145,12 @@
 $lang['module_desc_Random'] = 'Affiche x images au hasard dans la galerie ou la catégorie';
 
+//------------------------------------------------------------------------------
+//							Module Citation
+//------------------------------------------------------------------------------
+
+$lang['module_name_Citation'] = 'Citation aléatoire du moment';
+$lang['module_desc_Citation'] = 'Affiche une citation en français prise au hasard';
+$lang['module_Citation_lang'] = 'Langue';
+$lang['module_Citation_code'] = 'Code associé';
+
 ?>
Index: /extensions/PWG_Stuffs/modules/Citation/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/modules/Citation/config.inc.php	(revision 3694)
+++ /extensions/PWG_Stuffs/modules/Citation/config.inc.php	(revision 3694)
@@ -0,0 +1,39 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+if (!isset($datas)) {
+  $default_fr_value  = '<script type="text/javascript" ';
+  $default_fr_value .= 'src="http://citations.hasarddujour.com/'; 
+  $default_fr_value .= 'citation-hasard-du-jour.php?random"></script>';
+  $datas = array(
+      'quote_lang'    => array(
+          "fr_FR" => $default_fr_value
+        ),
+    );
+}
+$available_languages = get_languages();
+// Save configuration
+if (isset($_POST['submit']) and !is_adviser()) {
+  $new_data = array();
+  foreach (array_keys($available_languages) as $current_lang) {
+    $quote_value_key = 'quote_config_' . $current_lang;
+    if ((isset($_POST[$quote_value_key])) and
+        ("" != $_POST[$quote_value_key])) {
+      $new_data = array_merge(
+          $new_data,
+          array($current_lang => stripslashes($_POST[$quote_value_key]))
+        );
+    }
+  }
+  $datas = array(
+      'quote_lang'  => $new_data
+    );
+}
+global $user;
+$template->assign('MODULE_QUOTE_DATA', $datas['quote_lang']);
+$template->assign('MODULE_QUOTE_LANGUAGES', $available_languages);
+$template->set_filenames(array(
+    'module_options' => dirname(__FILE__) . '/config.tpl')
+  );
+$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');
+?>
Index: /extensions/PWG_Stuffs/modules/Citation/config.tpl
===================================================================
--- /extensions/PWG_Stuffs/modules/Citation/config.tpl	(revision 3694)
+++ /extensions/PWG_Stuffs/modules/Citation/config.tpl	(revision 3694)
@@ -0,0 +1,17 @@
+{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
+{known_script id="jquery.ui" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.core.packed.js"}
+{known_script id="jquery.ui.resizable" src=$ROOT_URL|@cat:"template-common/lib/ui/ui.resizable.packed.js"}
+<table>
+    <tr>
+        <td align="center" colspan="2"><b>{'module_Citation_lang'|@translate}</b></td>
+        <td align="center"><b>{'module_Citation_code'|@translate}</b></td>
+    </tr>
+{foreach from=$MODULE_QUOTE_LANGUAGES item=language key=language_key}
+    <tr>
+        <td align="right">{$language}</td>
+        <td>&nbsp;</td>
+        <td><textarea cols="50" rows="2" name="quote_config_{$language_key}" id="quote_config_{$language_key}" class="description" style="height: 2em">{$MODULE_QUOTE_DATA[$language_key]}</textarea></td>
+    </tr>
+{/foreach}
+</table>
+<br>
Index: /extensions/PWG_Stuffs/modules/Citation/index.php
===================================================================
--- /extensions/PWG_Stuffs/modules/Citation/index.php	(revision 3694)
+++ /extensions/PWG_Stuffs/modules/Citation/index.php	(revision 3694)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php,v 1.2 2009/07/07 10:02:11 Criss Exp $
+// | last update   : $Date: 2009/07/07 10:02:11 $
+// | last modifier : $Author: Criss $
+// | revision      : $Revision: 1.2 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PWG_Stuffs/modules/Citation/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/modules/Citation/main.inc.php	(revision 3694)
+++ /extensions/PWG_Stuffs/modules/Citation/main.inc.php	(revision 3694)
@@ -0,0 +1,11 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+global $user;
+
+if ((isset($datas['quote_lang'][$user['language']])) and
+    ("" != $datas['quote_lang'][$user['language']])) {
+  $block['CONTENT'] = $datas['quote_lang'][$user['language']];
+} else {
+  return false;
+}
+?>
Index: /extensions/PWG_Stuffs/template/index.css
===================================================================
--- /extensions/PWG_Stuffs/template/index.css	(revision 3693)
+++ /extensions/PWG_Stuffs/template/index.css	(revision 3694)
@@ -35,4 +35,9 @@
 }
 
+.quote_block {
+  padding: 15px;
+  text-align: center;
+}
+
 .one_comment {
   width: 99% !important;